# Desktop Extenstions (DXT)

[DXT CLI documentation](https://github.com/anthropics/dxt)

## How to generate .dxt file

To generate the dxt file:

1. `npm run build`
2. The built dxt is available in `dist/dxt`

## How to use the .dxt file

1. Update Claude desktop to the latest version
2. Double Click the .dxt file (which will open Claude desktop to the install extenstion screen)
   - Alternative: open claude desktop, open settings, go to extensions, drag and drop DXT file
3. Click install
4. Add Jasper API Key
5. Enable extension

## .dxt brief explanation

For a full description see [Anthropic's Blog post](https://www.anthropic.com/engineering/desktop-extensions).

When packing the .dxt file, the dxt cli bundles the necessary files into a .dxt file.

That includes:

- local mcp server code
- the node modules
- the package.json
- the manifest.json

the .dxtignore file is used to omit unnecessary files (such as the remote mcp server code)

The manifest.json file contains all of the config, display information, tool descriptions and so one used in the installation process.
